Bug 187319 - crashes with sigsegv on even the basic file-file test
crashes with sigsegv on even the basic file-file test
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: multisync (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://www.opensync.org/wiki/SetupGuide
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 18:39 EST by Henrik Nordstrom
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-20 09:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Nordstrom 2006-03-29 18:39:03 EST
Description of problem:

Trying to get multisync running with the ultimate goal of getting
evolution<->syncml running, but multisync crashes even on the most basic
file<->file setup described in the opensync wiki (see url).

Version-Release number of selected component (if applicable):

multisync-0.90.18-5.fc5
libopensync-0.18-6.fc5
libopensync-plugin-file-0.18-4.fc5

How reproducible:

always

Steps to Reproduce:
1. run multisync and create a new "filefile" connection between two directories
2. 
3.
  
Actual results:

crahses with segmentation fault on save, and can not be started again
(immediately crashes on startup). Only recovery is to remove the .opensync
directory or at least the created group directory within.


Similar symptoms is also seen using the msynctool which crashes with an
assertion failure on "msynctool --showgroup filefile" or segmentation faults on
 "msynctool --sync filefile"

Expected results:

"msynctool --sync filefile" is expected to report progress, and eventually even
sync content between the directories if manually adding a vcard etc..

"multisync" should display the created connection, not crash with a segmentation
fault.

Additional info:
Comment 1 Andreas Bierfert 2006-03-30 00:39:12 EST
Hm, first of all: Look at the experimental in the titlebar ;)

Could you install the multisync-debuginfo package and provide me with a
backtrace vom gdb? If you need more info on how to do this let me know.
Comment 2 Henrik Nordstrom 2006-03-30 01:44:56 EST
 gdb msynctool

(gdb) r --sync filefile

Synchronizing group "filefile" 
The previous synchronization was unclean. Slow-syncing

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 47484900116432 (LWP 22815)]
0x00002b2ff077de36 in osync_member_initialize (member=0x0, error=0x7fffffab65b8)
at opensync_member.c:982
982             if (!(member->plugindata = functions.initialize(member, error))) {
(gdb) bt
#0  0x00002b2ff077de36 in osync_member_initialize (member=0x0,
error=0x7fffffab65b8) at opensync_member.c:982
#1  0x00002b2ff08971d6 in osync_client_init (client=0x5a4780,
error=0x7fffffab65b8) at osengine_client.c:312
#2  0x00002b2ff0898624 in osengine_init (engine=0x5a3080, error=0x7fffffab65b8)
at osengine_engine.c:994
#3  0x000000000040393e in main (argc=Variable "argc" is not available.
) at msynctool.c:351
#4  0x0000003767d1d084 in __libc_start_main () from /lib64/libc.so.6
#5  0x00000000004026c9 in _start ()
#6  0x00007fffffab6ae8 in ?? ()
#7  0x0000000000000000 in ?? ()
(gdb) 


gdb multisync

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 47263935893472 (LWP 22846)]
0x00002afc7df8ae36 in osync_member_initialize (member=0x0, error=0x7fffffe291d0)
at opensync_member.c:982
982             if (!(member->plugindata = functions.initialize(member, error))) {
(gdb) bt
#0  0x00002afc7df8ae36 in osync_member_initialize (member=0x0,
error=0x7fffffe291d0) at opensync_member.c:982
#1  0x00002afc7e0a41d6 in osync_client_init (client=0x7529b0,
error=0x7fffffe291d0) at osengine_client.c:312
#2  0x00002afc7e0a5624 in osengine_init (engine=0x6fbc10, error=0x7fffffe291d0)
at osengine_engine.c:994
#3  0x0000000000406ae0 in msync_start_groups () at main.c:118
#4  0x0000000000406c6d in main (argc=1, argv=Variable "argv" is not available.
) at main.c:152
#5  0x0000003767d1d084 in __libc_start_main () from /lib64/libc.so.6
#6  0x0000000000406929 in _start ()
#7  0x00007fffffe29308 in ?? ()
#8  0x0000000000000000 in ?? ()



Anything else you want me to dig out?
Comment 3 Andreas Bierfert 2006-10-20 09:33:38 EDT
Fixed in new version. Pushed.

Note You need to log in before you can comment on or make changes to this bug.